import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import PropTypes from 'prop-types';
import MoleculeField from '@s-ui/react-molecule-field';
import AtomCheckbox, { withCheckedValue } from '@s-ui/react-atom-checkbox';
var BASE_CLASS = 'sui-MoleculeCheckboxField';

var getErrorState = function getErrorState(success, error) {
  if (success) return false;
  if (error) return true;
};

var MoleculeCheckboxField = function MoleculeCheckboxField(_ref) {
  var id = _ref.id,
      label = _ref.label,
      successText = _ref.successText,
      errorText = _ref.errorText,
      helpText = _ref.helpText,
      onChange = _ref.onChange,
      props = _objectWithoutProperties(_ref, ["id", "label", "successText", "errorText", "helpText", "onChange"]);

  var errorState = getErrorState(successText, errorText);
  return React.createElement("div", {
    className: BASE_CLASS
  }, React.createElement(MoleculeField, {
    name: id,
    label: label,
    successText: successText,
    errorText: errorText,
    helpText: helpText,
    onChange: onChange,
    inline: true,
    reverse: true
  }, React.createElement(AtomCheckbox, Object.assign({
    id: id,
    errorState: errorState
  }, props))));
};

MoleculeCheckboxField.displayName = 'MoleculeCheckboxField';
export default withCheckedValue(MoleculeCheckboxField);